aboutsummaryrefslogtreecommitdiff
path: root/aux
diff options
context:
space:
mode:
Diffstat (limited to 'aux')
-rwxr-xr-xaux/assert-shellcheck.sh2
-rwxr-xr-xaux/workflow/dist.sh10
2 files changed, 11 insertions, 1 deletions
diff --git a/aux/assert-shellcheck.sh b/aux/assert-shellcheck.sh
index cc01f3a..1779ea8 100755
--- a/aux/assert-shellcheck.sh
+++ b/aux/assert-shellcheck.sh
@@ -1,5 +1,5 @@
#!/bin/sh
-set -eux
+set -eu
git ls-files | \
xargs awk 'FNR==1 && /^#!\/bin\/sh$/ { print FILENAME }' | \
diff --git a/aux/workflow/dist.sh b/aux/workflow/dist.sh
index ee67f24..ed61ee5 100755
--- a/aux/workflow/dist.sh
+++ b/aux/workflow/dist.sh
@@ -33,3 +33,13 @@ fi
git tag "$VVERSION"
sh aux/workflow/sign-tarballs.sh "$PROJECT"
+
+
+cat <<EOF >&2
+Now push the tag and the signature before pushing the commit:
+
+git push origin refs/notes/signatures/tar.gz -o skip-ci --no-verify
+git push --tags -o skip-ci --no-verify
+git push
+
+EOF